<?php
// EXEMPT from requirement to have external-entry-point
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/app.class.php");
require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/nav.class.php");
require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/menu.class.php");
$App 	= new App();	$Nav	= new Nav();	$Menu 	= new Menu();		include($App->getProjectCommon());

$pageTitle 		= "My Foundation Closed for Maintenance";
$pageKeywords	= "";
$pageAuthor		= "";

$extraHtmlHeaders = "<link rel=\"stylesheet\"
      type=\"text/css\"
      href=\"images/portal.css\"/>
	";
$App->AddExtraHtmlHeader($extraHtmlHeaders);

ob_start();
?>
    <div id="maincontent">
	<div id="midcolumn" style="margin-left: 30px">
  <h2>Closed For Maintenance</h2>
<p>Sorry, the My Foundation portal is closed for maintenance.</p>
<img src="images/closed.gif"/>
<p>We expect to be back online in less than 20 minutes.</p>
  </div><!-- rightcolumn -->
</div><!-- maincontent -->
<?php
	# Paste your HTML content between the EOHTML markers!
	$html = ob_get_contents();
	ob_end_clean();

	# Generate the web page
	$App->generatePage($theme, $Menu, $Nav, $pageAuthor, $pageKeywords, $pageTitle, $html);
?>
