<?php
require_once( "../classes/external_entry_point.php");
external_entry(false);
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
require_once( $GLOBALS['CLASSES_DIRECTORY'] . "functions.php" );

if( !preg_match( "/([^\.]+)\.([^\.]+)\.(\d+)/", $_POST['id'], $matches ) ) {
	echo "invalid id(3)";
	exit(1);
}
if( $matches[1] != 'organization_information') {
	echo "invalid id(1)";
	exit(1);
}
if( $matches[2] != 'organization_information') {
	echo "invalid id(2)";
	exit(1);
}
$id = $matches[3];

if( !preg_match( "/([a-z]+)/", $_POST['param'], $matches ) ) {
	echo "invalid param";
	exit(1);
}
$param = $matches[1];

$dbh = $context->database("foundation");
$sql = str_replace(
			      array('%WHO%','%ID%'),
			      array($context->user(), mysql_real_escape_string($id)),
	"	SELECT OrganizationID FROM OrganizationContacts
		WHERE PersonID = '%WHO%'
		  AND Relation in ('MA', 'CI', 'DE', 'CR', 'AD', 'MPE')
		  AND OrganizationID = %ID%
		"); // if you change this set of relations, be sure to update components/organization_information/factory.php as well
$result = mysql_remember_query( $sql, $dbh );
mysql_error_check();
$row = mysql_fetch_array($result);
if( !$row ) {
	echo 'do not have permission to modify that organization';
	exit(1);
}

if( $_FILES['userfile']['error']) {
	echo 'invalid error';
	exit(1);
}
$extension = '';
switch( $_FILES['userfile']['type']) {
	case 'image/gif':
	case 'image/jpeg':
	case 'image/png':
	case 'image/pjpeg':
	case 'image/x-png':
		break;
	default:
		echo 'invalid mime type (' . $_FILES['userfile']['type']. ')';
		exit(1);
}

$fullname = $_FILES['userfile']['tmp_name'];
$mime = $_FILES['userfile']['type'];

$info = getimagesize($fullname);
switch( $info[2] ) {
	case IMAGETYPE_GIF:
	case IMAGETYPE_JPEG:
	case IMAGETYPE_PNG:
		break;
	default:
		echo 'invalid image type (' . $info[2] . ')';
		exit(1);
}
if( $param == 'small') {
	if( $info[0] > 120 ) {
		// small logo image is too large, resize while preserving aspect ratio
		$width = $info[0];
		$height= $info[1];
		$aspect = $height / $width;
		$new_width = 120;
		$new_height = $new_width * $aspect;
		$image_p = imagecreatetruecolor($new_width, $new_height);
		switch( $info[2] ) {
		  case IMAGETYPE_GIF:	$image = imagecreatefromgif($fullname); break;
		  case IMAGETYPE_JPEG:	$image = imagecreatefromjpeg($fullname); break;
		  case IMAGETYPE_PNG:	$image = imagecreatefrompng($fullname); break;
		}
		imagecopyresampled($image_p, $image, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
		imagepng($image_p, $fullname);
		$mime = 'image/png';
	}
}

$fh = fopen( $fullname, 'rb');
$bits = fread( $fh, filesize( $fullname ) );
fclose( $fh );
$bits = addslashes( $bits );

$dbh = $context->database("eclipse");
$sql = "SELECT COUNT(*) FROM OrganizationInformation WHERE OrganizationID = $id";
$result = mysql_remember_query( $sql, $dbh );
mysql_error_check();
$row = mysql_fetch_array( $result );
if( $row[0] > 0 ) {
	if( $param == 'small') {
		$friendlysql = "UPDATE OrganizationInformation$suffix SET small_mime = '$mime', small_logo = '...'
				 WHERE OrganizationID = " . $id;
	} else {
		$friendlysql = "UPDATE OrganizationInformation$suffix SET large_mime = '$mime', large_logo = '...'
				 WHERE OrganizationID = " . $id;
	}
} else {
	if( $param == 'small') {
		$friendlysql = "INSERT INTO OrganizationInformation$suffix (OrganizationID, small_mime, small_logo) VALUES ($id, '$mime', '...' )";
	} else {
		$friendlysql = "INSERT INTO OrganizationInformation$suffix (OrganizationID, large_mime, large_logo) VALUES ($id, '$mime', '...' )";
	}
}
$sql = str_replace( "...", $bits, $friendlysql );
mysql_remember_query( $sql, $dbh, $friendlysql );
mysql_error_check();
?>
File successfully uploaded
<script language="JavaScript" type="text/javascript">
opener.close_organization_information_popup('<?= $_POST['id'] ?>');
</script>
