<?php
require_once("../classes/external_entry_point.php");
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
// Simple tool to dump all database schemas as text to be
// hand-installed on production and staging systems as needed.

// NOTE:  If you do not have split databases this will not
// be as helpful at determining which table goes in which
// database but will still show all of them.

$databases = array();
$seen_already = array(); # Prevents multiple display of same table

// Databases for which we will dump information
$databases[0] = "foundation";
$databases[1] = "myfoundation";
$databases[2] = "eclipse";

foreach($databases as $db) {
	$dbh = $context->database( $db );

	// Get all the table names
	$result = mysql_remember_query( "SHOW tables", $dbh );
	echo mysql_error();
?>
	<h1 style="background-color: #88FF88"><?= $db ?> database</h1>
<?php
	$table_count = 0;
	// Show the create table statement for it
	while(($row = mysql_fetch_assoc( $result )) !== false) {
		foreach($row as $key) {
			if($seen_already[$key] != true) {
				$table_count++;
				$seen_already[$key] = true;
?>
				<h3 style="background-color: #EEEEEE"><?= $key ?></h3>
<?php
				show_table_schema($key);
			}
		}
	}
	if($table_count == 0) {
		echo "No new tables found, probably the same database.";
		echo "<p> This script will <b>try</b> to sort out which tables are
		in which database, but if they are not split, it may be difficult to
		tell and the last databases will show as empty.</p>";
	}
}

function show_table_schema( $name ) {

	global $dbh;

	// List the columns from this table
	$columns = array();
	$result = mysql_remember_query( "SHOW CREATE TABLE $name", $dbh );
	while(($row = mysql_fetch_assoc( $result )) !== false) {
		echo "<pre>" . $row['Create Table'] . "</pre>";
	}
}
?>