<?php
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/

// THIS CODE IS USED IN PRODUCTION, BUT all.pl IS USED IN STAGING
// UPDATES HERE NEED TO BE REFLECTED THERE

set_time_limit( 360 );
require_once( "../classes/external_entry_point.php");
external_entry( false, "Portal Release Engineering" );
$path = "http://" . $_SERVER['SERVER_NAME'] . ":" . $_SERVER['SERVER_PORT'] . $_SERVER['REQUEST_URI'];
$path = substr($path, 0, strpos($path, 'all.php'));
ob_implicit_flush(); // trying to turn off buffering here, below and in all.ph

?>

<p><font color=gray>running test cases via <?= $path ?></font></p>

<pre>
<?php
$failed = 0;
$scriptspath = "finished/";
$dh = opendir( "scripts/$scriptspath" );
while( ($file = readdir($dh)) !== false ) {
	if( preg_match( "/^.+\.txt$/", $file, $matches ) == 0 )
		continue;
	$result = file_get_contents( $path . "run.php?file=$scriptspath" . $file );
	if( !$result ) {
		$failed++;
		echo '<span style="background-color: #ffcccc;">' . "Missing: $file</span>\n";
	} else {
		if( preg_match( "/<!-- Test Passed -->/", $result ) ) {
			echo "Passed: $file\n";
		} else {
			$failed++;
			echo '<span style="background-color: #ffcccc;">' . "FAIL  : $file</span>\n";
		}
	}
	flush();
}
?>
</pre>

<?php
if( $failed > 0 ) {
?>
<script language="JavaScript" type="text/javascript">
node = document.getElementById('header_row');
node.style.backgroundImage = '';
node.style.backgroundColor = "#ffcccc";
</script>
<?php
}
?>
<p><font color=gray>done</font></p>

