<?php
/*******************************************************************************
 * Copyright (c) 2006-2007 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Bjorn Freeman-Benson - initial API and implementation
 *    Ward Cunningham - initial API and implementation
 *    Karl Mathias - initial API and implementation
 *******************************************************************************/
echo "poll_question$suffix <br>\n";

if( $context->testmode )
	$date = "'2007-01-01 10:00:00'";		// to be active from the defined test start date (Jan 1st)
else
	$date = "NOW()";						// to be active today
$date = "date_sub($date, interval weekday($date) day)";		// but always start at begining of week

portal_sql("DELETE FROM poll_question$suffix");


portal_sql("insert into poll_question$suffix (statement, submit, post) 
    values ('Apple\'s failure to supprt Darwin open source development signals a downturn in corporate FOSS.', $date, $date)");
$id = mysql_insert_id();

portal_sql("insert into poll_question$suffix (statement, submit, post) 
    values ('Karl belongs in the league of awesomeness.', $date, $date + interval 7 day)");
$id2 = mysql_insert_id();

portal_sql("insert into poll_question$suffix (statement, submit) 
    values ('The rain in spain stays mainly in the plains.', $date)");
$id3 = mysql_insert_id();


portal_sql("insert into poll_question$suffix (statement, submit, post)  values ('Question for 4 weeks from now.', $date, $date + interval 4 week)");
portal_sql("insert into poll_question$suffix (statement, submit, post)  values ('Question for 5 weeks from now.', $date, $date + interval 5 week)");
portal_sql("insert into poll_question$suffix (statement, submit, post)  values ('Question for 7 weeks from now.', $date, $date + interval 7 week)");


echo "poll_answer$suffix <br>\n";

portal_sql("DELETE FROM poll_answer$suffix");

portal_sql("insert into poll_answer$suffix (pollid, PersonID, endorsement) values ($id2, 'developer1', TRUE)");


$choices = array (0,0,1,0,2,0,1,0,3,0,1,0,1,0,4,1,0,2,3,2,1,0,0,0,0,1,0,2,0,1,0,3,0,1,0,1,0,4,1,0,2,3,2,1,0,0);
$dev=3;
$com=0;
foreach ($choices as $choice) {
	$dev++;
	$comment = ($com++)%5==1 ? "comment $com" : "";		
	portal_sql("insert into poll_answer$suffix (pollid, PersonID, agreement, comment) 
    	values ($id, 'developer$dev', $choice, '$comment')");
}
?>
